Wednesday, May 23, 2007

AutoCAD Selection Techniques

Most editing commands issue the standard Select objects: prompt and you then click on every object you want to add to a selection set. You can enter modifiers at the Select objects: prompt to change the way objects are selected.

W
select by Window
C
select by Crossing window
P
reuse the Previous selection set
L
select the Last entity drawn
F
select by Fence
WP
select by Window Polygon
CP
select by Crossing window Polygon
All (Ctrl-A)
select All
A
add objects mode
R
remove objects mode


Using Window, objects must lie completely within the window boundary to be selected. Contrast that with Crossing window where objects within the window or crossed by the boundary are selected. Fence selects all objects crossed by a line. Window and Crossing Polygons behave like Window and Crossing but their boundaries can be a polygonal shape and not a mere rectangle. Previous lets you reselect your previous selection set; very handy. And Last selects the last object drawn from the objects currently visible. If you select everything, bear in mind that objects on Frozen layers are ignored and therefore not selected, whereas objects on layers that are Off are selected. This is one of the differences between Off and Frozen.

If you miss when picking an object AutoCAD assumes that you're going to select by Window or Crossing and the pick point becomes the first corner of the Window or Crossing. As you drag to the right notice that your boundary is solid indicating that your going to select via Window. But if you drag to the left, your boundary is dashed indicating that you're selecting with Crossing.

If you want to remove objects from your selection you can issue the R modifier and subsequent selected objects, using any of the methods above, are removed from the current selection set. Use the A modifier to return to add objects mode. Bonus Tip: you can temporarily enter remove objects mode by holding down the Shift key while selecting.

In AutoCAD 2006 you can cycle thru objects that lie atop one another by holding down the Ctrl key as you're selecting. This has changed for AutoCAD 2007 and up: now you Shift-Spacebar as you roll-over the object to "pre-highlight it" before actually picking it (Ctrl-Spacebar for subobjects: faces, edges, vertices). Of course this only works if your roll-over highlighting is On. This setting is controlled in the Selection Preview area of the Selection tab in Options.

Use the Visual Effects Settings..., Advanced Options... to exclude various objects: Xrefs, Hatches, etc. from roll-over highlighting.

While we're here, let's go over a few of the Selection Modes.

  • "Noun/verb selection" allows you to select objects first then run the command.
  • "Shift to add" will really mess you up. Turn this on to annoy your friends.
  • "Press and drag" makes window selection act like Microsoft Windows (pick-drag to corner) rather than classic AutoCAD (pick-pick)
  • "Implied windowing" must be on if you want pick-miss to imply a window/crossing selection, otherwise pick-miss just misses.

Select by Property

And for extra added selection power don't forget the QSELECT command. Is anyone interested in a tip on the FILTER command?

6 Comments:

At 1:03 AM , Anonymous Anonymous said...

HOW DO I GET THE TEXT TO OVERRIDE THE COLORED HATCH BACKGROUND?

 
At 7:45 AM , Blogger Ward Romberger said...

I'm assuming that you're asking for a way to bring the text above a solid pattern hatch? Use the DRAWORDER command to bring Text to the front so that it displays/plots on top of the hatch.

You can also use text as part of your hatch boundary so that there is no hatch atop it.

Hope this helps.

 
At 8:01 AM , Anonymous Anonymous said...

I have a similar problem with my selecting. My 'PickFirst' is set to 1 and my noun/verb selection is on but I cannot pick first unless I type the whole command. I have tried re-loading the lisps and the customization file but it doesn't work. Any help appreciated.

Niall

 
At 10:16 PM , Blogger Ward Romberger said...

Hmm, typing the whole command executes against the current selection set, but typing just the command shortcut does not?

This behavior may occur if you define your shortcut commands with Lisp instead of the PGP.

For example, let's assume that you've used Lisp to define the shortcut E to be ERASE. Like so:

(defun C:E () (command "ERASE"))

Now say that you have several entities selected, and key in E [Enter]. The Lisp defined E command may not honor the pre-selected entities and, instead, clears your current selection set and then runs the ERASE command.

To get around this, don't use Lisp to define the E shortcut. Define it in your ACAD.PGP instead. Use the ALIASEDIT command to edit the ACAD.PGP, map the ERASE command to the shortcut E. Now E [Enter] will ERASE pre-selected entities.

Hope this helps.

 
At 4:02 PM , Anonymous stop.motion said...

I can't believe i have been using cad for 6 years and didn't know how to make a polygon selection until a did a google search for it today. The time savings things that i would only know if i actually stopped to ask the internet!!

thanks!

 
At 7:06 PM , Blogger Mufasu CAD said...

wow,, thank for the tips,, its helpful for me..

AutoCAD Tutorial

 

Post a Comment

Subscribe to Post Comments [Atom]

<< Home